package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.InspectionStandardMapper;
import com.aucma.base.domain.InspectionStandard;
import com.aucma.base.service.IInspectionStandardService;

@Service
public class InspectionStandardServiceImpl implements IInspectionStandardService {
    @Autowired
    private InspectionStandardMapper inspectionStandardMapper;

    @Override
    public InspectionStandard selectInspectionStandardByObjId(Long objId) {
        return inspectionStandardMapper.selectInspectionStandardByObjId(objId);
    }

    @Override
    public List<InspectionStandard> selectInspectionStandardList(InspectionStandard inspectionStandard) {
        return inspectionStandardMapper.selectInspectionStandardList(inspectionStandard);
    }

    @Override
    public int insertInspectionStandard(InspectionStandard inspectionStandard) {
        return inspectionStandardMapper.insertInspectionStandard(inspectionStandard);
    }

    @Override
    public int updateInspectionStandard(InspectionStandard inspectionStandard) {
        return inspectionStandardMapper.updateInspectionStandard(inspectionStandard);
    }

    @Override
    public int deleteInspectionStandardByObjIds(Long[] objIds) {
        return inspectionStandardMapper.deleteInspectionStandardByObjIds(objIds);
    }

    @Override
    public int deleteInspectionStandardByObjId(Long objId) {
        return inspectionStandardMapper.deleteInspectionStandardByObjId(objId);
    }
}
